# clank-shuttle-infrastructure-plan

The clank-shuttle-infrastructure-plan is a toolkit designed to help quickly set
up infrastructure and support development in Terraform modules, projects, Helm
charts, and more. With the provided OpenAPI specification,

# Getting Started

## Initialize the Project

```bash
shuttle run init
```

This command initializes the project, setting up the necessary configurations
and downloading any required dependencies.

## Build the Project

```bash
shuttle run build
```

This command builds the project, generating the necessary infrastructure and
artifacts.

## Apply the Changes

```bash
shuttle run apply
```

This command applies the changes to your infrastructure, creating or updating
resources as needed.

## Format the Code

```bash
shuttle run format
```

This command formats the code, ensuring it adheres to best practices and style
guidelines.

## Adding Helm Charts

To add Helm charts to your project, follow these steps:

1. Create a `templates/charts` directory in your project.
2. Add your Helm charts to the charts directory.
3. Add values in the `templates` directory, i.e. <chart>.values.yaml
4. Update your project's YAML file to include the Helm chart settings, if
   needed.
5. Use the Shuttle CLI commands mentioned above to build, apply, and manage your
   Helm charts along with the rest of your infrastructure.

# Contributing

If you'd like to contribute to the clank-shuttle-infrastructure-plan, please
feel free to submit pull requests or open issues to report bugs and suggest new
features. License

This project is licensed under the MIT License. See the LICENSE file for more
information.

# Support

If you encounter any issues or need help with the
clank-shuttle-infrastructure-plan, please reach out to our team or open an issue
on the GitHub repository.
